### Constructor

# WPEPlatformHeadless DisplayHeadless new_for_device

#### Declaration [src]

    WPEDisplay*
    wpe_display_headless_new_for_device (
      const char* name,
      GError** error
    )

#### Description [src]

Create a new `WPEDisplayHeadless` for the DRM device with `name`.

This constructor is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  The name of the DRM device.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WPEDisplay`

A `WPEDisplay`, or `NULL` if an error occurred.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.